#ifndef COMUNES_H
#define COMUNES_H

//
//CONSTANTES USADAS
//

enum{
	
	AM_SENSORMSG = 40,		//AM para enviar mensaje con valores de sensores
	AM_TIMERREADMSG = 41, 	//AM para leer sensores 
	AM_TIMERSENDMSG = 42,	//AM para envio mensaje con valores de sensores
	TEMPO_LECTURA = 500,	//Tiempo entre lecturas para sensor temperatura y batería (ms))
	TEMPO_ENVIO = 1000,		//Tiempo entre envios a la mota base. (ms))
	VREF = 2560,			//Voltaje de referencia de la mota
	READY,ERROR,
	LEER_BAT,LEER_TEMP
} ; 
//fin constantes


typedef nx_struct SensorMsg {
	nx_uint8_t moteID;   	//ID mota
	nx_uint16_t cBat;		//Batería
	nx_uint16_t vRef;		//Voltaje referencia (mV)
	nx_uint16_t cTemp;		//Temperatura	
} SensorMsg;	
	
typedef nx_struct TimerReadMsg {
	nx_uint32_t timerVal;		//Estructura mensaje Temporizador Lectura
} TimerReadMsg;

typedef nx_struct TimerSendMsg {
	nx_uint32_t timerVal;		//Estructura mensaje Temporizador Envío
} TimerSendMsg;	

#endif /* COMUNES_H */
