//import java.awt.EventQueue;
import java.awt.*;
import java.awt.Toolkit;
import java.awt.event.*;
//import javax.swing.JFrame;
import javax.swing.*;
//import com.jgoodies.forms.layout.FormLayout;
//import com.jgoodies.forms.layout.ColumnSpec;
//import com.jgoodies.forms.factories.FormFactory;
//import com.jgoodies.forms.layout.RowSpec;
import net.miginfocom.swing.MigLayout;
//import java.awt.event.ActionListener;
//import java.awt.event.ActionEvent;



public class GUI implements ActionListener {

	private JFrame frmControlDeMotas;
	private JPanel panel;
	private JPanel panel_1;
	private JTextArea txtrZonaDeMensajes;
	private JLabel lblVcc;
	private JLabel lblTemperatura;
	private JTextField txtVcc;
	private JTextField txtTemp;
	private JPanel panel_2;
	private JTextField txtTimerRead;
	private JLabel lblTiempoLecturams;
	private JButton btnActTL;
	private JPanel panel_3;
	private JLabel lblNewLabel;
	private JTextField txtTimerSend;
	private JButton btnActT;
	private JLabel lblAlarmaTemperaturaMxima;
	private JTextField txtLimiteTemp;
	private JLabel lblZonaDeMensajes;
	private JTextArea textArea;
	private JCheckBox chckbxGenXML;

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					GUI window = new GUI();
					window.frmControlDeMotas.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the application.
	 */
	public GUI() {
		initialize();
	}

	/**
	 * Initialize the contents of the frame.
	 */
	private void initialize() {
		frmControlDeMotas = new JFrame();
		frmControlDeMotas.setResizable(false);
		frmControlDeMotas.setTitle("Control de Motas - TFC UOC");
		frmControlDeMotas.setBounds(100, 100, 570, 299);
		frmControlDeMotas.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		panel = new JPanel();
		frmControlDeMotas.getContentPane().add(panel, BorderLayout.NORTH);
		
		lblVcc = new JLabel("Vcc (voltios):");
		lblVcc.setHorizontalAlignment(SwingConstants.LEFT);
		panel.add(lblVcc);
		
		txtVcc = new JTextField();
		txtVcc.setBackground(Color.WHITE);
		txtVcc.setEditable(false);
		lblVcc.setLabelFor(txtVcc);
		txtVcc.setText("0.0");
		panel.add(txtVcc);
		txtVcc.setColumns(4);
		
		lblTemperatura = new JLabel("Temperatura (C):");
		panel.add(lblTemperatura);
		
		txtTemp = new JTextField();
		txtTemp.setBackground(Color.WHITE);
		txtTemp.setEditable(false);
		lblTemperatura.setLabelFor(txtTemp);
		txtTemp.setText("0.0");
		panel.add(txtTemp);
		txtTemp.setColumns(4);
		
		panel_1 = new JPanel();
		frmControlDeMotas.getContentPane().add(panel_1, BorderLayout.SOUTH);
		panel_1.setLayout(new MigLayout("", "[211px][][225px]", "[][112px]"));
		
		lblZonaDeMensajes = new JLabel("Zona de Mensajes:");
		panel_1.add(lblZonaDeMensajes, "cell 0 0");
		
		lblAlarmaTemperaturaMxima = new JLabel("Alarma Temp. máx.: (C)");
		panel_1.add(lblAlarmaTemperaturaMxima, "cell 1 0,alignx left,aligny center");
		
		txtrZonaDeMensajes = new JTextArea();
		txtrZonaDeMensajes.setEditable(false);
		txtrZonaDeMensajes.setRows(8);
		//txtrZonaDeMensajes.setDropMode(DropMode.ON);
		txtrZonaDeMensajes.setColumns(28);
		panel_1.add(txtrZonaDeMensajes, "cell 0 1 2 1,grow");
		
		txtLimiteTemp = new JTextField();
		txtLimiteTemp.setToolTipText("");
		txtLimiteTemp.setText("20.0");
		panel_1.add(txtLimiteTemp, "cell 2 0");
		txtLimiteTemp.setColumns(3);
		
		textArea = new JTextArea();
		panel_1.add(textArea, "flowx,cell 2 1");
		
		chckbxGenXML = new JCheckBox("Generar XML");
		panel_1.add(chckbxGenXML, "cell 2 1");
		
		panel_2 = new JPanel();
		frmControlDeMotas.getContentPane().add(panel_2, BorderLayout.WEST);
		panel_2.setLayout(new MigLayout("", "[105px,grow][40px]", "[24px][24px]"));
		
		lblTiempoLecturams = new JLabel("Tiempo Lectura (ms):");
		panel_2.add(lblTiempoLecturams, "cell 0 0,alignx left,aligny center");
		lblTiempoLecturams.setLabelFor(txtTimerRead);
		
		txtTimerRead = new JTextField();
		txtTimerRead.setHorizontalAlignment(SwingConstants.LEFT);
		txtTimerRead.setText("500");
		panel_2.add(txtTimerRead, "cell 1 0,alignx left,aligny center");
		txtTimerRead.setColumns(3);
		
		btnActTL = new JButton("Actualizar");
		btnActTL.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
			ControlMotas.actualizarTR(devuelveReadTimer());}		//Actualizar TR al pulsar botón
		});
		panel_2.add(btnActTL, "cell 0 1,alignx left,aligny top");
		
		panel_3 = new JPanel();
		frmControlDeMotas.getContentPane().add(panel_3, BorderLayout.CENTER);
		panel_3.setLayout(new MigLayout("", "[][40px]", "[18px][24px]"));
		
		lblNewLabel = new JLabel("Tiempo Envío (ms):");
		panel_3.add(lblNewLabel, "cell 0 0,alignx left,aligny center");
		lblNewLabel.setLabelFor(txtTimerSend);
		
		txtTimerSend = new JTextField();
		txtTimerSend.setText("1000");
		panel_3.add(txtTimerSend, "cell 1 0,growx");
		txtTimerSend.setColumns(3);
		
		btnActT = new JButton("Actualizar");
		btnActT.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent arg0) {
			ControlMotas.actualizarTS(devuelveTimerSend());}	//Actualizar TS al pulsar botón
		});
		panel_3.add(btnActT, "cell 0 1");
	}

	//
	//Controlo cierre de la ventana --> cierro la aplicación
	//
	
	public class ListenEvents extends WindowAdapter {
		public void windowClosing(WindowEvent e){
			System.exit(0);									//cerrada ventana, fin aplicación
		}
	}
	
	
	//
	//Imprimir  en la zona de notificaciones el mensaje
	//
	public void Imprimir (String texto){
		txtrZonaDeMensajes.setText(texto+"\n");
	}
	
	//
	//Imprimir datos de voltaje y temperatura en su textbox
	//
	public void MostrarDatos (String volt, String temp) {
		txtVcc.setText(volt);   //voltaje
		txtTemp.setText(temp);	//temperatura
	}
	
	//
	//GETTER del generarXML
	//si está activo permitirá que ControlMotas actualice el fichero
	//
	public boolean activoXML (){
		return chckbxGenXML.isSelected();
	}
	
	//
	//getter del timerRead
	//
	public String devuelveReadTimer(){
		return txtTimerRead.getText();
	}
	//
	//getter del timerSend
	//
	public String devuelveTimerSend(){
		return txtTimerSend.getText();
	}
	//
	//getter de alarma de temperatura
	//
	public double devuelveTempAlarm(){
		return Double.parseDouble(txtLimiteTemp.getText());
	}
	
	//
	//Control alarma temperatura
	//
	public void alarmaTemperatura(boolean alarma){
		if (alarma ==true) {
			txtTemp.setBackground(Color.RED);
			this.Imprimir("Alarma de temperatura¡¡¡¡"); //T mota es mayor entonces ALARMA
			}
		else {
			txtTemp.setBackground(Color.WHITE);
		}
		
	}
	//
	//Arrancamos la ventanita centrándola sobre la mitad aprox.
	//
	public void lanzarFrame(){
		Dimension dim = Toolkit.getDefaultToolkit().getScreenSize(); // obtenemos medida de pantalla
		int x = (dim.width-frmControlDeMotas.getSize().width);
		int y = (dim.height-frmControlDeMotas.getSize().height);
		//ahora la posicionamos y hacemos visible
		frmControlDeMotas.setLocation(x,y);
		frmControlDeMotas.setVisible(true);
	}
	
	//
	//Control botones  (se gestiona dentro del código del GUI a modo de eventos)
	//
	public void actionPerformed(ActionEvent e){
		//para que no dé problemas
	}
	
	
	
}
